[Stackless] Building on Ubuntu

Darren Govoni darren at ontrenet.com
Sun Nov 20 13:17:26 CET 2011


Hi,
   I am trying to build a compatible stackless python using stackless 2.6.5.
I have python 2.6.6 updated on my system with many packages.

I can build a stackless executable but it doesn't pick up many packages,
like multiprocessing, etc.

Also, I get this error in the build:

Compiling /usr/local/lib/python2.6/xml/sax/saxutils.py ...
Compiling /usr/local/lib/python2.6/xml/sax/xmlreader.py ...
Compiling /usr/local/lib/python2.6/xmllib.py ...
Compiling /usr/local/lib/python2.6/xmlrpclib.py ...
Compiling /usr/local/lib/python2.6/zipfile.py ...
make: *** [libinstall] Error 1

I am running ubuntu 10.04 64bit. I want stackless to work with all my
existing packages. Is it possible?

thanks for any tips.

Darren



More information about the Stackless mailing list